package cn.wisenergy.mapper;

import cn.wisenergy.model.app.UsdtOrderDetails;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author chenqi
 * @since 2021-06-15
 */
public interface UsdtOrderDetailsMapper extends BaseMapper<UsdtOrderDetails> {
    /**
     * 计算该用户卖出金额
     * @param userId 用户id
     * @return 卖出金额
     */
    Double getSaleTotal(@Param("userId") Long userId);

    /**
     * 计算该用户买入金额
     * @param userId 用户id
     * @return 买入金额
     */
    Double getBuyTotal(@Param("userId") Long userId);

}
